OAuth clients
OAuth clients. The ones under `/api/profile` are the signed-in user’s own, and the ones under `/api/admin` are the site’s.
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
keyword?stringWords to look for.
query?stringA filter, as a JSON object.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?stringThe order, as a JSON object of field names to 1 or -1.
One page, and how many match.
application/json- response
total?integerdata?array<>curl -X GET "https://platform.example.com/api/admin/credential/client" \ -H "Authorization: Bearer $TOKEN"{ "total": 0, "data": [ { "_id": "string", "name": "string", "description": "string", "type": null, "logo": "string", "scope": null, "trusted": null, "deletable": true, "ssoId": "string", "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null } ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
keyword?stringWords to look for.
query?A filter, as a JSON object.
select?The fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?The order, as a JSON object of field names to 1 or -1.
One page, and how many match.
application/json- response
total?integerdata?array<>curl -X POST "https://platform.example.com/api/admin/credential/client" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "keyword": "string", "query": {}, "select": {}}'{ "total": 0, "data": [ { "_id": "string", "name": "string", "description": "string", "type": null, "logo": "string", "scope": null, "trusted": null, "deletable": true, "ssoId": "string", "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null } ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
name*stringdescription?stringtype*unknownlogo?filebinaryscope?unknowntrusted?unknowndeletable?unknowntrueprops?extendedProps?ssoId?stringThe answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/admin/credential/client" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "..."}'"string"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the OAuth client.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
The record.
application/json- response
_id*stringname*stringdescription?stringtype*unknownlogo?stringscope?unknowntrusted?unknowndeletable?unknowntruessoId?stringprops?unknownextendedProps?unknowncreatedAt?unknowncreatedBy?unknownupdatedAt?unknownupdatedBy?unknowncurl -X GET "https://platform.example.com/api/admin/credential/client/$ID" \ -H "Authorization: Bearer $TOKEN"{ "_id": "string", "name": "string", "description": "string", "type": null, "logo": "string", "scope": null, "trusted": null, "deletable": true, "ssoId": "string", "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the OAuth client.
application/json- body
select?The fields to return, as a JSON object of field names to 1 or 0.
The record.
application/json- response
_id*stringname*stringdescription?stringtype*unknownlogo?stringscope?unknowntrusted?unknowndeletable?unknowntruessoId?stringprops?unknownextendedProps?unknowncreatedAt?unknowncreatedBy?unknownupdatedAt?unknownupdatedBy?unknowncurl -X POST "https://platform.example.com/api/admin/credential/client/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "select": {}}'{ "_id": "string", "name": "string", "description": "string", "type": null, "logo": "string", "scope": null, "trusted": null, "deletable": true, "ssoId": "string", "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the OAuth client.
The answer.
response?stringapplication/jsonThe id.
curl -X DELETE "https://platform.example.com/api/admin/credential/client/$ID" \ -H "Authorization: Bearer $TOKEN""string"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the OAuth client.
application/json- body
name?stringdescription?stringtype?unknownlogo?filebinaryscope?unknowntrusted?unknowndeletable?unknowntrueprops?extendedProps?ssoId?stringThe answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/admin/credential/client/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "type": "..."}'"string"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the OAuth client.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
The answer.
curl -X GET "https://platform.example.com/api/admin/credential/client/$ID/secret" \ -H "Authorization: Bearer $TOKEN"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the OAuth client.
The answer.
curl -X PUT "https://platform.example.com/api/admin/credential/client/$ID/secret" \ -H "Authorization: Bearer $TOKEN"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
keyword?stringWords to look for.
query?stringA filter, as a JSON object.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?stringThe order, as a JSON object of field names to 1 or -1.
One page, and how many match.
application/json- response
total?integerdata?array<>curl -X GET "https://platform.example.com/api/profile/credential/client" \ -H "Authorization: Bearer $TOKEN"{ "total": 0, "data": [ { "_id": "string", "name": "string", "description": "string", "type": null, "logo": "string", "scope": null, "trusted": null, "deletable": true, "ssoId": "string", "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null } ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
keyword?stringWords to look for.
query?A filter, as a JSON object.
select?The fields to return, as a JSON object of field names to 1 or 0.
skip?integerHow many to skip.
limit?integerHow many to return; 10 when absent.
10sort?The order, as a JSON object of field names to 1 or -1.
One page, and how many match.
application/json- response
total?integerdata?array<>curl -X POST "https://platform.example.com/api/profile/credential/client" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "keyword": "string", "query": {}, "select": {}}'{ "total": 0, "data": [ { "_id": "string", "name": "string", "description": "string", "type": null, "logo": "string", "scope": null, "trusted": null, "deletable": true, "ssoId": "string", "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null } ]}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
name*stringdescription?stringtype*unknownlogo?filebinaryscope?unknowntrusted?unknowndeletable?unknowntrueprops?extendedProps?ssoId?stringThe answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/profile/credential/client" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "..."}'"string"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the OAuth client.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
The record.
application/json- response
_id*stringname*stringdescription?stringtype*unknownlogo?stringscope?unknowntrusted?unknowndeletable?unknowntruessoId?stringprops?unknownextendedProps?unknowncreatedAt?unknowncreatedBy?unknownupdatedAt?unknownupdatedBy?unknowncurl -X GET "https://platform.example.com/api/profile/credential/client/$ID" \ -H "Authorization: Bearer $TOKEN"{ "_id": "string", "name": "string", "description": "string", "type": null, "logo": "string", "scope": null, "trusted": null, "deletable": true, "ssoId": "string", "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the OAuth client.
application/json- body
select?The fields to return, as a JSON object of field names to 1 or 0.
The record.
application/json- response
_id*stringname*stringdescription?stringtype*unknownlogo?stringscope?unknowntrusted?unknowndeletable?unknowntruessoId?stringprops?unknownextendedProps?unknowncreatedAt?unknowncreatedBy?unknownupdatedAt?unknownupdatedBy?unknowncurl -X POST "https://platform.example.com/api/profile/credential/client/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "select": {}}'{ "_id": "string", "name": "string", "description": "string", "type": null, "logo": "string", "scope": null, "trusted": null, "deletable": true, "ssoId": "string", "props": null, "extendedProps": null, "createdAt": null, "createdBy": null, "updatedAt": null, "updatedBy": null}AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the OAuth client.
The answer.
response?stringapplication/jsonThe id.
curl -X DELETE "https://platform.example.com/api/profile/credential/client/$ID" \ -H "Authorization: Bearer $TOKEN""string"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the OAuth client.
application/json- body
name?stringdescription?stringtype?unknownlogo?filebinaryscope?unknowntrusted?unknowndeletable?unknowntrueprops?extendedProps?ssoId?stringThe answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/profile/credential/client/$ID" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "type": "..."}'"string"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the OAuth client.
select?stringThe fields to return, as a JSON object of field names to 1 or 0.
The answer.
curl -X GET "https://platform.example.com/api/profile/credential/client/$ID/secret" \ -H "Authorization: Bearer $TOKEN"AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
id*stringThe id of the OAuth client.
The answer.
curl -X PUT "https://platform.example.com/api/profile/credential/client/$ID/secret" \ -H "Authorization: Bearer $TOKEN"